For the complete documentation index, see llms.txt. This page is also available as Markdown.

Faqs

Buscar faq por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
faqIdstringObrigatório

ID do faq

Respostas
200

OK

application/json
idstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
groupstring[]Opcional
get/faqs/{faqId}
GET /api/b2b/faqs/{faqId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "profile_partner": true,
  "profile_seller": true,
  "order": 1,
  "question": "text",
  "answer": "text",
  "category": "text",
  "active": true,
  "group": [
    "text"
  ]
}

Atualizar faq

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
faqIdstringObrigatório

ID do faq

Corpo
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
user_groupsstring[]Opcional
Respostas
200

OK

application/json
idstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
groupstring[]Opcional
put/faqs/{faqId}
PUT /api/b2b/faqs/{faqId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 145

{
  "profile_partner": true,
  "profile_seller": true,
  "order": 1,
  "question": "text",
  "answer": "text",
  "category": "text",
  "active": true,
  "user_groups": [
    "text"
  ]
}
{
  "id": "text",
  "profile_partner": true,
  "profile_seller": true,
  "order": 1,
  "question": "text",
  "answer": "text",
  "category": "text",
  "active": true,
  "group": [
    "text"
  ]
}

Excluir faq

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
faqIdstringObrigatório

ID do faq

Respostas
204

Faq deleted successfully

Sem conteúdo

delete/faqs/{faqId}
DELETE /api/b2b/faqs/{faqId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Listar faqs do portal

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Respostas
200

Faq listed

application/json
idstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
groupstring[]Opcional
get/faqs
GET /api/b2b/faqs HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "id": "text",
    "profile_partner": true,
    "profile_seller": true,
    "order": 1,
    "question": "text",
    "answer": "text",
    "category": "text",
    "active": true,
    "group": [
      "text"
    ]
  }
]

Criar faq

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
groupstring[]Opcional
Respostas
201

Criado

application/json
idstringOpcional
profile_partnerbooleanOpcional
profile_sellerbooleanOpcional
orderinteger · int32Opcional
questionstringOpcional
answerstringOpcional
categorystringOpcional
activebooleanOpcional
groupstring[]Opcional
post/faqs
POST /api/b2b/faqs HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 139

{
  "profile_partner": true,
  "profile_seller": true,
  "order": 1,
  "question": "text",
  "answer": "text",
  "category": "text",
  "active": true,
  "group": [
    "text"
  ]
}
{
  "id": "text",
  "profile_partner": true,
  "profile_seller": true,
  "order": 1,
  "question": "text",
  "answer": "text",
  "category": "text",
  "active": true,
  "group": [
    "text"
  ]
}